Last Comment Bug 684337 - JS shell won't compile
: JS shell won't compile
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: unspecified
: x86_64 Linux
: -- normal (vote)
: ---
Assigned To: Igor Bukanov
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-02 13:42 PDT by Bill McCloskey (:billm)
Modified: 2011-09-06 10:23 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
v1 (2.19 KB, patch)
2011-09-02 14:27 PDT, Igor Bukanov
wmccloskey: review+
Details | Diff | Splinter Review

Description Bill McCloskey (:billm) 2011-09-02 13:42:00 PDT
It looks like bug 681884 broke non-JS_THREADSAFE builds.

/home/billm/mozilla/in0/js/src/jsgc.cpp:1158:65: error: no ‘void* js::gc::ArenaLists::allocateFromArena(JSContext*, js::gc::AllocKind)’ member function declared in class ‘js::gc::ArenaLists’
/home/billm/mozilla/in0/js/src/jsgc.cpp:1260:59: error: no ‘void js::gc::ArenaLists::finalizeNow(JSContext*, js::gc::AllocKind)’ member function declared in class ‘js::gc::ArenaLists’
/home/billm/mozilla/in0/js/src/jsgc.cpp:1269:61: error: no ‘void js::gc::ArenaLists::finalizeLater(JSContext*, js::gc::AllocKind)’ member function declared in class ‘js::gc::ArenaLists’
/home/billm/mozilla/in0/js/src/jsgc.cpp:1320:68: error: no ‘void js::gc::ArenaLists::backgroundFinalize(JSContext*, js::gc::ArenaHeader*)’ member function declared in class ‘js::gc::ArenaLists’
/home/billm/mozilla/in0/js/src/jsgc.cpp: In member function ‘void js::gc::ArenaLists::finalizeObjects(JSContext*)’:
/home/billm/mozilla/in0/js/src/jsgc.cpp:1363:37: error: ‘finalizeNow’ was not declared in this scope
/home/billm/mozilla/in0/js/src/jsgc.cpp:1384:40: error: ‘finalizeLater’ was not declared in this scope
/home/billm/mozilla/in0/js/src/jsgc.cpp: In member function ‘void js::gc::ArenaLists::finalizeStrings(JSContext*)’:
/home/billm/mozilla/in0/js/src/jsgc.cpp:1394:44: error: ‘finalizeLater’ was not declared in this scope
/home/billm/mozilla/in0/js/src/jsgc.cpp:1397:45: error: ‘finalizeNow’ was not declared in this scope
/home/billm/mozilla/in0/js/src/jsgc.cpp: In member function ‘void js::gc::ArenaLists::finalizeShapes(JSContext*)’:
/home/billm/mozilla/in0/js/src/jsgc.cpp:1403:35: error: ‘finalizeNow’ was not declared in this scope
/home/billm/mozilla/in0/js/src/jsgc.cpp: In member function ‘void js::gc::ArenaLists::finalizeScripts(JSContext*)’:
/home/billm/mozilla/in0/js/src/jsgc.cpp:1410:36: error: ‘finalizeNow’ was not declared in this scope
/home/billm/mozilla/in0/js/src/jsgc.cpp: In static member function ‘static void* js::gc::ArenaLists::refillFreeList(JSContext*, js::gc::AllocKind)’:
/home/billm/mozilla/in0/js/src/jsgc.cpp:1471:47: error: ‘struct js::gc::ArenaLists’ has no member named ‘allocateFromArena’
Comment 1 Igor Bukanov 2011-09-02 14:27:34 PDT
Created attachment 557946 [details] [diff] [review]
v1

The patch adds missing ifdef JS_THREADSAFE to jsgc.cpp and fixes ArenaLists member function declarations. For the latter I just dropped the JS_THREADSAFE as no harm is done by undefined member functions that are never called.
Comment 2 Bill McCloskey (:billm) 2011-09-02 14:28:57 PDT
Comment on attachment 557946 [details] [diff] [review]
v1

Thanks.
Comment 3 Igor Bukanov 2011-09-03 07:49:28 PDT
Jason already landed similar fix:

http://hg.mozilla.org/integration/mozilla-inbound/rev/fff3dc9478ce
Comment 4 Jason Orendorff [:jorendorff] 2011-09-06 10:23:44 PDT
Yeah. Sorry for the duplicate work... I wasn't cc'd on this bug at the time and a quicksearch failed to find it. Someone complained about the errors on IRC, so I just pushed the fix.

-> RESO FIXED

Note You need to log in before you can comment on or make changes to this bug.